> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Service Events Endpoint

> E2 — provisioning log, cursor + SSE (same shape as C4).



## OpenAPI

````yaml /openapi.json get /v1/provisioning/services/{service_id}/events
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/provisioning/services/{service_id}/events:
    get:
      tags:
        - provisioning-portal
      summary: List Service Events Endpoint
      description: E2 — provisioning log, cursor + SSE (same shape as C4).
      operationId: >-
        list_service_events_endpoint_v1_provisioning_services__service_id__events_get
      parameters:
        - in: path
          name: service_id
          required: true
          schema:
            title: Service Id
            type: string
        - in: query
          name: cursor
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - in: query
          name: limit
          required: false
          schema:
            default: 200
            maximum: 1000
            title: Limit
            type: integer
        - in: header
          name: accept
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Accept
        - in: header
          name: Last-Event-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Last-Event-Id
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````